"Inner" class used for nested xml command line definitions.

package | phing.types

### Methods

## __construct()

    __construct(\Commandline $outer)

### Parameters

#### $outer

## Returns the parts this Argument consists of.

    getParts() : array

### Returns

`array`string[]

## Sets a single commandline argument to the absolute filename of the given file.

    setFile(\PhingFile $value)

### Parameters

#### $value

`\value`

a single commandline argument.

## Line to split into several commandline arguments.

    setLine(\line $line)

### Parameters

#### $line

`\line`

line to split into several commandline arguments

## Sets a single commandline argument and treats it like a PATH - ensures the right separator for the local platform is used.

    setPath(\value $value)

### Parameters

#### $value

`\value`

a single commandline argument.

## Sets a single commandline argument.

    setValue(string $value)

### Parameters

#### $value

`string`

a single commandline argument.

### Properties

##

    $outer

##

    $parts